Last Comment Bug 748209 - Allow compositorParent be created in custom Thread
: Allow compositorParent be created in custom Thread
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: mozilla15
Assigned To: Oleg Romashin (:romaxa)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 746800
  Show dependency treegraph
 
Reported: 2012-04-23 20:31 PDT by Oleg Romashin (:romaxa)
Modified: 2012-05-25 08:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Allow custom loop and thread for CpmpositorParent (7.67 KB, patch)
2012-04-23 20:32 PDT, Oleg Romashin (:romaxa)
no flags Details | Diff | Splinter Review
Allow custom loop and thread for CpmpositorParent (7.67 KB, patch)
2012-04-23 20:52 PDT, Oleg Romashin (:romaxa)
ajuma.bugzilla: review+
Details | Diff | Splinter Review
Allow to create useful SubClass from CompositorParent (2.78 KB, patch)
2012-04-23 22:35 PDT, Oleg Romashin (:romaxa)
ajuma.bugzilla: review+
Details | Diff | Splinter Review
fallout fix (719 bytes, patch)
2012-05-24 10:07 PDT, Benoit Girard (:BenWa)
no flags Details | Diff | Splinter Review
real fix (719 bytes, patch)
2012-05-24 10:10 PDT, Benoit Girard (:BenWa)
ajuma.bugzilla: review+
Details | Diff | Splinter Review

Description Oleg Romashin (:romaxa) 2012-04-23 20:31:11 PDT
For OMTC embedding setup I need to run CompositorParent in native toolkit thread, and message loop merged with native main loop.

Instead of taking Thread as argument we can take message loop + thread ID.
Comment 1 Oleg Romashin (:romaxa) 2012-04-23 20:32:48 PDT
Created attachment 617759 [details] [diff] [review]
Allow custom loop and thread for CpmpositorParent
Comment 2 Oleg Romashin (:romaxa) 2012-04-23 20:52:59 PDT
Created attachment 617762 [details] [diff] [review]
Allow custom loop and thread for CpmpositorParent

Err, forgot to remove mThread from init list. fixed here.
hope try will be ok
https://tbpl.mozilla.org/?tree=Try&rev=5b5b733c1868
Comment 3 Oleg Romashin (:romaxa) 2012-04-23 22:35:02 PDT
Created attachment 617796 [details] [diff] [review]
Allow to create useful SubClass from CompositorParent

This is minimal patch which allow to create usable CompositorParent subclass.
Comment 4 Ali Juma [:ajuma] 2012-04-24 08:16:20 PDT
(In reply to Oleg Romashin (:romaxa) from comment #2)
> Created attachment 617762 [details] [diff] [review]
> Allow custom loop and thread for CpmpositorParent
> 
> Err, forgot to remove mThread from init list. fixed here.
> hope try will be ok
> https://tbpl.mozilla.org/?tree=Try&rev=5b5b733c1868

There are some failures here. You might just have pulled a bad revision, but please look into this before landing.
Comment 7 Benoit Girard (:BenWa) 2012-05-24 10:05:07 PDT
jgilbert points out that the code here is incorrect:
http://mxr.mozilla.org/mozilla-central/source/gfx/layers/ipc/CompositorParent.cpp#188

it should be |if (!time)| or better yet |if (time != 0)|
Comment 8 Benoit Girard (:BenWa) 2012-05-24 10:07:32 PDT
Created attachment 626858 [details] [diff] [review]
fallout fix
Comment 9 Benoit Girard (:BenWa) 2012-05-24 10:10:23 PDT
Created attachment 626859 [details] [diff] [review]
real fix
Comment 10 Oleg Romashin (:romaxa) 2012-05-24 10:27:30 PDT
Oh :(
Comment 12 Ed Morley [:emorley] 2012-05-25 08:35:52 PDT
https://hg.mozilla.org/mozilla-central/rev/1f60ba0301b2

Note You need to log in before you can comment on or make changes to this bug.